summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorJim McDonough <jmcd@samba.org>2006-05-24 20:06:06 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:17:11 -0500
commitb4f96abf0a9dd51980a1f830d5a79b37730eee62 (patch)
tree1dd06f88813eb5a50ce862298307da3c96ae1af0 /source3/script/tests
parent78d733e6672e81c1b3411ce2377c74f1520b51c2 (diff)
downloadsamba-b4f96abf0a9dd51980a1f830d5a79b37730eee62.tar.gz
samba-b4f96abf0a9dd51980a1f830d5a79b37730eee62.tar.bz2
samba-b4f96abf0a9dd51980a1f830d5a79b37730eee62.zip
r15873: Use short signal names to placate ksh trap. bash seems to accept either
and even uses them on the manpage. this should now enable make test on AIX. (This used to be commit de836d2077e53c07a50c51d1580f8e93700eb5bd)
Diffstat (limited to 'source3/script/tests')
-rw-r--r--source3/script/tests/test_functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source3/script/tests/test_functions.sh b/source3/script/tests/test_functions.sh
index 4134376bfc..f263677bfc 100644
--- a/source3/script/tests/test_functions.sh
+++ b/source3/script/tests/test_functions.sh
@@ -19,8 +19,8 @@ samba3_stop_sig_kill() {
samba3_check_or_start() {
if [ -n "$SERVER_TEST_FIFO" ];then
- trap samba3_stop_sig_kill SIGINT SIGQUIT
- trap samba3_stop_sig_kill SIGTERM
+ trap samba3_stop_sig_kill INT QUIT
+ trap samba3_stop_sig_kill TERM
if [ -p "$SERVER_TEST_FIFO" ];then
return 0;